/*
 * @(#)Main.java
 *
 * $Revision: 1.5 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.FileSystemXmlApplicationContext;

import de.rwth.informatik.lufgi4.trustedpals.controlling.Controller;

/**
 * This class is used to start the project.
 * 
 * @author Milan Fort
 * @version $Revision: 1.5 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public class Main {
    
    private static Log logger = LogFactory.getLog(Main.class);

    public static void main(String[] args) {
        logger.info("Starting TrustedPals");
        
        String contextLocation = System.getProperty("trustedpals.home");
        
        if (contextLocation == null) {
            logger.error("TRUSTEDPALS_HOME not set up correctly");
            System.exit(-1);
            
        } else {
            contextLocation += java.io.File.separator + "etc" + java.io.File.separator + "spring.xml";
            logger.debug("Using application context: " + contextLocation);
        }
        
        BeanFactory factory = new FileSystemXmlApplicationContext(contextLocation);
        
        Controller controller = (Controller) factory.getBean("controller");
        logger.debug("Retrieved controller for host " + controller.getHostId());
        
        controller.startProtocol();
    }
}
