/*
 * @(#)ExponentialAdversary.java
 *
 * $Revision: 1.2 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.adversary;

import de.rwth.informatik.lufgi4.trustedpals.messaging.Message;

/**
 * This adversary accepts all but the first message (2^0), 3rd message (2^0 + 2^1),
 * 7th message (2^0 + 2^1 + 2^2), and so on.
 * 
 * @author Milan Fort
 * @version $Revision: 1.2 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public class ExponentialAdversary implements Adversary {

    private int messageCount = 0;
    
    private int mask = 1;
    
    private int maskUpdate = 1;
    
    public boolean accept(Message message) {
        messageCount++;
        
        if (messageCount == mask) {
            
            maskUpdate *= 2;
            mask |= maskUpdate;
            
            return false;
            
        } else {
            return true;
        }
    }
}
