/*
 * @(#)StartSendPhaseTimerTask.java
 *
 * $Revision: 1.2 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.controlling;

import java.util.TimerTask;

/**
 * This timer task starts the send (and receive) phase of the current round.
 * 
 * @author Milan Fort
 * @version $Revision: 1.2 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public final class StartSendPhaseTimerTask extends TimerTask {

    private Controller controller;
    
    public void setController(Controller controller) {
       this.controller = controller;
    }
    
    public void run() {
        controller.startSendPhase();
    }
}
