/*
 * @(#)GUIMain.java
 *
 * $Revision: 1.4 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.gui;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 
 * 
 * @author Milan Fort
 * @version $Revision: 1.4 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public final class GUIMain {
    
    private static Log logger = LogFactory.getLog(GUIMain.class);
    
    private GUIMain() {}
    
    public static void main(String[] args) {
        logger.info("Starting TrustedPals Configuration Console");
        
        if (args.length != 1) {
            logger.error("Invalid parameter list");
            
        } else if (args[0].equals("gd")) {
            logger.debug("Configuring Gracefully Degrading Fair Exchange");
            new GDController();
            
        } else if (args[0].equals("cs")) {
            logger.debug("Configuring ConsensusS");
            new CSController();
            
        } else {
            logger.error("Unknown parameter: " + args[0]);
        }
    }
}
