/*
 * @(#)HostSet.java
 *
 * $Revision: 1.2 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.protocol;

/**
 * 
 * 
 * @author Milan Fort
 * @version $Revision: 1.2 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public final class HostSet {

    public static final byte FALSE = 0;
    
    public static final byte TRUE = 1;
    
    private final byte[] buffer;
    
    public HostSet(byte capacity) {
        buffer = new byte[capacity];
        
        clear();
    }

    public final void clear() {
        for (byte i = 0; i < buffer.length; i++) {
            buffer[i] = FALSE;
        }
    }
    
    public void add(byte host) {
        buffer[host - 1] = TRUE;
    }
    
    public void addAll(byte[] x) {
        for (byte i = 0; i < x.length; i++) {
            if (i >= buffer.length) {
                break;
            }
            
            if (x[i] == TRUE) {
                buffer[i] = TRUE;
            }
        }
    }
    
    public boolean contains(byte host) {
        return buffer[host - 1] == TRUE;
    }
    
    public boolean isEmpty() {
        for (byte i = 0; i < buffer.length; i++) {
            if (buffer[i] == TRUE) {
                return false;
            }
        }
        
        return true;
    }
    
    public byte size() {
        byte count = 0;
        
        for (byte i = 0; i < buffer.length; i++) {
            if (buffer[i] == TRUE) {
                count++;
            }
        }
        
        return count;
    }
    
    public byte capacity() {
        return (byte) buffer.length;
    }
    
    public byte[] toArray() {
        return buffer;
    }
}
