/*
 * @(#)Protocol.java
 *
 * $Revision: 1.3 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.protocol;

import java.util.List;

/**
 * This interface represents a protocol performed by the system.
 * 
 * @author Milan Fort
 * @version $Revision: 1.3 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public interface Protocol {
    
    void start();
    
    void startNextRound(List messages);

    boolean isComputationFinished();
    
    boolean isFinished();
    
    Item getItem();
    
    List getMessages();
    
    boolean hasErrorOccured();
}
